resource "proxmox_lxc" "TerraformDemo" {
  target_node  = "ThePearl"
  hostname     = "lxc-terraform"
  ostemplate   = "local:vztmpl/ubuntu-24.04-standard_24.04-2_amd64.tar.zst"
  password     = var.root_password
  unprivileged = true
  memory        = 2048
  swap          = 512
  cores         = 2
  cpulimit      = 2

  ssh_public_keys = var.ssh_public_key

  // Terraform will crash without rootfs defined
  rootfs {
    storage = "TheTower"
    size    = "4G"
  }

  network {
    name   = "eth0"
    bridge = "vmbr0"
    ip     = "dhcp"
  }
}
